OpenAI Integration

WebRTC Realtime SDP exchange (OpenAI alias)

OpenAI-prefixed alias of POST /v1/realtime/calls. Performs the WebRTC SDP exchange for OpenAI Realtime calls. Accepts either multipart form data with sdp + session parts (GA) or a raw SDP body (legacy).

POST
/openai/v1/realtime/calls
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

sdp?string

WebRTC offer SDP.

session?string

JSON-encoded session configuration.

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/openai/v1/realtime/calls"
"string"
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings